HttpResponse::getThrottleDelay
HttpResponse::redirect
The HttpResponse
PHP Manual

# HttpResponse::guessContentType

(PECL pecl_http:0.13.0-1.5.5)

HttpResponse::guessContentType — Guess content type

### Description

static string HttpResponse::guessContentType ( string `$magic_file` [, int `$magic_mode=MAGIC_MIME` ] )

Attempts to guess the content type of supplied payload through libmagic.

If the attempt is successful, the guessed Content-Type will automatically be set as response Content-Type.

### Parameters

`magic_file`

  specifies the magic.mime database to use

`magic_mode`

  flags for libmagic

### Return Values

Returns the guessed content type on success, or `FALSE` on failure.

### Errors/Exceptions

Throws HttpRuntimeException, HttpInvalidParamException.

### See Also

- HttpResponse::getContentType
- HttpResponse::setContentType

HttpResponse::getThrottleDelay
HttpResponse::redirect
The HttpResponse
PHP Manual